GoogleV3Options (GIS Viewer Widget 3.5.0-SNAPSHOT API)
Date: 2014-09-04

org.gcube.portlets.user.gisviewer.client.openlayers.googlev3

## Class GoogleV3Options

- java.lang.Object
- - org.gwtopenmaps.openlayers.client.util.JSObjectWrapper
  - - org.gwtopenmaps.openlayers.client.layer.LayerOptions
    - - org.gwtopenmaps.openlayers.client.layer.EventPaneOptions
      - - org.gcube.portlets.user.gisviewer.client.openlayers.googlev3.GoogleV3Options

-     public class GoogleV3Options
      extends org.gwtopenmaps.openlayers.client.layer.EventPaneOptions

  Author:
    ceras

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GoogleV3Options()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setSphericalMercator(boolean value)`
    `void` | `setType(GoogleV3MapType type)`

    - ### Methods inherited from class org.gwtopenmaps.openlayers.client.layer.EventPaneOptions

      `setIsFixed, setSmoothDragPan`

    - ### Methods inherited from class org.gwtopenmaps.openlayers.client.layer.LayerOptions

      `setAlwaysInRange, setApplyAlphaHack, setAttribution, setDisplayInLayerSwitcher, setDisplayOutsideMaxExtent, setGutter, setIsBaseLayer, setLayerOpacity, setMaxExtent, setMaxResolution, setMaxScale, setMinExtent, setMinResolution, setMinScale, setNumZoomLevels, setProjection, setResolutions, setScales, setTransitionEffect, setTransitionEffect, setUnits, setVisibility`

    - ### Methods inherited from class org.gwtopenmaps.openlayers.client.util.JSObjectWrapper

      `getJSObject, setJSObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GoogleV3Options

          public GoogleV3Options()

  - ### Method Detail

    - #### setType

          public void setType(GoogleV3MapType type)

    - #### setSphericalMercator

          public void setSphericalMercator(boolean value)

Copyright © 2014. All Rights Reserved.